GNU bug report logs - #38404
27.0.50; deleting files with ~ on the end with tramp did not work

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Jean Louis <bugs@HIDDEN>; Keywords: moreinfo; dated Wed, 27 Nov 2019 17:33:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.
Added tag(s) moreinfo. Request was from Michael Albinus <michael.albinus@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 38404 <at> debbugs.gnu.org:


Received: (at 38404) by debbugs.gnu.org; 28 Nov 2019 16:36:01 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 11:36:01 2019
Received: from localhost ([127.0.0.1]:59046 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaMlt-0005qm-JO
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 11:36:01 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:56755)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1iaIf0-0005aD-1H
 for 38404 <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:12:38 -0500
Received: from protected.rcdrun.com ([::ffff:83.178.234.91])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_CBC_SHA1)
 by stw1.rcdrun.com with UTF8ESMTPSA
 id 0000000000097C5D.000000005DDFB9AF.00006801; Thu, 28 Nov 2019 05:12:31 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000CC5CB.000000005DDFB9AD.00000B27; Thu, 28 Nov 2019 13:12:29 +0100
Date: Thu, 28 Nov 2019 13:12:29 +0100
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#38404: 27.0.50; deleting files with ~ on the end with tramp
 did not work
Message-ID: <20191128121229.GB2763@HIDDEN>
References: <20191127163909.GA7483@HIDDEN>
 <87fti8qkh4.fsf@HIDDEN>
 <20191128120812.GB1973@HIDDEN>
 <87blswqk10.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87blswqk10.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38404
X-Mailman-Approved-At: Thu, 28 Nov 2019 11:36:00 -0500
Cc: 38404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

* Michael Albinus <michael.albinus@HIDDEN> [2019-11-28 13:10]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> > I did it with ssh as root /ssh:root@HIDDEN:/etc/some/file~
> >
> > and I could not delete few files, even though permissions were 644
> 
> This doesn't tell me anything, sorry. Pls show the debug buffer.

How do I do that?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.

Message received at 38404 <at> debbugs.gnu.org:


Received: (at 38404) by debbugs.gnu.org; 28 Nov 2019 16:35:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 11:35:51 2019
Received: from localhost ([127.0.0.1]:59044 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaMlj-0005qP-3O
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 11:35:51 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:55135)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1iaIaq-0005Tb-Q8
 for 38404 <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:08:21 -0500
Received: from protected.rcdrun.com ([::ffff:89.164.90.215])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_CBC_SHA1)
 by stw1.rcdrun.com with UTF8ESMTPSA
 id 0000000000097C5C.000000005DDFB8AD.00006728; Thu, 28 Nov 2019 05:08:13 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000CC5CB.000000005DDFB8AC.00000A5F; Thu, 28 Nov 2019 13:08:12 +0100
Date: Thu, 28 Nov 2019 13:08:12 +0100
From: Jean Louis <bugs@HIDDEN>
To: Michael Albinus <michael.albinus@HIDDEN>
Subject: Re: bug#38404: 27.0.50; deleting files with ~ on the end with tramp
 did not work
Message-ID: <20191128120812.GB1973@HIDDEN>
References: <20191127163909.GA7483@HIDDEN>
 <87fti8qkh4.fsf@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
In-Reply-To: <87fti8qkh4.fsf@HIDDEN>
User-Agent: Mutt/1.10.1 (2018-07-13)
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 38404
X-Mailman-Approved-At: Thu, 28 Nov 2019 11:35:50 -0500
Cc: 38404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

I did it with ssh as root /ssh:root@HIDDEN:/etc/some/file~

and I could not delete few files, even though permissions were 644

* Michael Albinus <michael.albinus@HIDDEN> [2019-11-28 13:00]:
> Jean Louis <bugs@HIDDEN> writes:
> 
> Hi,
> 
> > Deleting file /etc/courier/aliases/20191810~ did not work inside of
> > Tramp, there was "permission denied". But other files could be
> > deleted. I was root at the time and I could delete any file. When I
> > entered with ssh to system as root I could delete the file. With Tramp
> > it did not work.
> 
> I cannot repoduce it:
> 
> --8<---------------cut here---------------start------------->8---
> # sudo touch /etc/touch~
> # sudo ls -l /etc/touch~
> -rw-r--r-- 1 root root 0 Nov 28 12:54 /etc/touch~
> # emacs -Q --batch --eval '(delete-file "/ssh:|sudo::/etc/touch~")'
> Password for /sudo:root@host: ********
> # sudo ls -l /etc/touch~
> ls: cannot access '/etc/touch~': No such file or directory
> --8<---------------cut here---------------end--------------->8---
> 
> Does the problem also happen for you if you start "emacs -Q"? If yes,
> could you pls reproduce it step by step, and show those steps? Pls set
> also tramp-verbose to 6, andd show the resulting Tramp debug buffer.
> 
> Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.

Message received at 38404 <at> debbugs.gnu.org:


Received: (at 38404) by debbugs.gnu.org; 28 Nov 2019 12:18:40 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 07:18:40 2019
Received: from localhost ([127.0.0.1]:56835 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaIkq-0005jc-CP
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:18:40 -0500
Received: from mout.gmx.net ([212.227.17.21]:57945)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iaIko-0005jN-13
 for 38404 <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:18:39 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1574943479;
 bh=oz4+1AHStrUqNODNYs6MVV+FGaC61lIgGL/JOMQSWko=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=XyoESAEdsse6YIQjBpc17Hv9LV//QomQn979FsTw4CSc+WE+IDpCuEBtQuDSdJ/ft
 eveWy1pFlrlAZMg5VSRuqw6GitoSmHUQCs0YaliQoEP4sMfcheEovCmDm1L/MZPBZl
 u9My5sRtfpa7yPEr9grETlrDmeSPxN99g0qRc7Jw=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.146.9]) by mail.gmx.com (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MJmGP-1iGHxG2jF3-00KCYb; Thu, 28
 Nov 2019 13:17:59 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#38404: 27.0.50; deleting files with ~ on the end with tramp
 did not work
References: <20191127163909.GA7483@HIDDEN>
 <87fti8qkh4.fsf@HIDDEN> <20191128120812.GB1973@HIDDEN>
 <87blswqk10.fsf@HIDDEN> <20191128121229.GB2763@HIDDEN>
Date: Thu, 28 Nov 2019 13:17:58 +0100
In-Reply-To: <20191128121229.GB2763@HIDDEN> (Jean Louis's
 message of "Thu, 28 Nov 2019 13:12:29 +0100")
Message-ID: <877e3kqjnt.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:bBo0CgMighXLDDcVBHr1e4N8jo5pd/Hiz9mVOQofpp8tqvI0yNF
 9zGb+ordA3WKHmDmfMBufuB3dcAGzX153tMDhmWq9BVIPuNQA/ckWZ/7B0gzkmSGcn8t4Zx
 ZbveH8yvzA8apUY0NsKDG3ZJoQCjQfhnVAoz/enKrRcZmd6EHoeoB1biaG+Fbr+tpsMqVJg
 ZL67jnK/ukLbnA9u47kcQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:hOu0mOeTTqo=:Shcz/Z/HrKTEF/+xl2yLfw
 TSigzsXI/Ha6PMJlz3JlXs+jmRHgrwbF5383j/4PP/I6xxI4sVc8zuOFG9a+u8Uhnm4e408mY
 B0XxDKysny5MVM3KlODCap7nFTKPRbOGxlnY4mdmZI3naMGsWz0YMHICOq2/OXfHXy99Mbp2O
 hmhZaVvPKwjV2kaNNBTb34h55N97lQfhsdgYPPo+9AHGJtJnle8aBmllphJYUQcG+avayCitA
 vxpj+7d2zANyPXUD09fSd510PuLK/J2iAjleTR1l8TrSwYalqyAcqmz7cGPiH5/rlh2l3wEh6
 tHha+yLyIYBykN7tk5I9dNILNo47i3aGPmke8GJaOqmL3Sb44mvzmjqSc2el/Q4QcHf57tVUw
 c04r27DwutyLmTfyUp3VTsQ/8wuHELzbzgNxCTorNCme0Bngu9pFduqNZhnGvpQugB+y2MjC5
 xAjkdWAU3X3FE0Rcn7+hL2BCyIXqMuxAYsiGTJy/5ef2lCvtlEB8cfXOoUgKT2HbSH8zKjy8h
 74vkeLGjIy6DlledZN79RyO04MWUfZ4/FuSu3ric6MUIH6+lj2rPNC9DglqhkdMbBnoONDfWA
 l+55XGkSbm3HmG3odGgGCEQZaKvAHja3lLqEy01XeD7Kx1R2oKSZjrtAuizcDGWq0LPpnayxr
 swUN6W5iMyoUSux+0wcnDY9vlNwLcwEUkbJ1x7l90iE3Qkn6uhmIU6hVa2mMlWAcIUCAQPGwE
 0xOcCZXpsUaA9NluATc2uvZBTB0m+EIKLyUoNPagNMJUITypf7l7/a7vA4N7AF2/qIzoC5SN6
 hTO6BY2FgMGgYT5BY4c9N6MDtTwEqwXsHiSdBzQH5phQ0jjwVbg5gp7avzCdQL3aCmWGk+W0x
 dZNHLGrONFIHEJurvZc8G9f8VSIWvxv3SkDvAvei11sFzepHV9TTETJYYYKBeS7EfdtgVdT+n
 yFv775EgpT1BU4IEcg6Zmn6Xbx3ptuNb1bakP5yPr5jVtx63fXn7lS/ZxT9zTiTwq8CUJS2P/
 IaFfPLigd+oWxxdLytKeoSScwlaEiDRTpCUMeMoqBreKrP7g3PrZR0B08aWaBacYmk7nN2ihI
 GGqku50GWo2S/DQLcm1WJfWeB5nJyPMbcK/0THtE/xd3oVWr3IWGUlYmiMd1Anl/xY+gHgSWh
 44oDxWMOD6XR47sp5SFQ5RRDjiHSVfUsmFyCB3dPYWxvPtnm9dze1/OiglufMzVWTaqsv1D75
 8H//wddGueVGMi9pQ6KEL3RBWf2YZf/ab5xOLUQJwxLzt5U2f25Xc2Bfzx3M=
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38404
Cc: 38404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

> * Michael Albinus <michael.albinus@HIDDEN> [2019-11-28 13:10]:
>> Jean Louis <bugs@HIDDEN> writes:
>>
>> > I did it with ssh as root /ssh:root@HIDDEN:/etc/some/file~
>> >
>> > and I could not delete few files, even though permissions were 644
>>
>> This doesn't tell me anything, sorry. Pls show the debug buffer.
>
> How do I do that?

RTFM :-)

In short:

- Apply (setq tramp-verbose 6)
- Rerun your test
- Send the resulting buffer *debug tramp/ssh root@host*, preferred as
  attachment

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.

Message received at 38404 <at> debbugs.gnu.org:


Received: (at 38404) by debbugs.gnu.org; 28 Nov 2019 12:10:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 07:10:45 2019
Received: from localhost ([127.0.0.1]:56815 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaIdA-0005Xf-Rf
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:10:45 -0500
Received: from mout.gmx.net ([212.227.15.19]:57651)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iaId8-0005XQ-Nr
 for 38404 <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:10:43 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1574943004;
 bh=75An99FSL013siUjnWyr1E/Oynzlo4P9RfaLgLzaI6Q=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=iGpEktTJgWS0JEVg6oVEiOtawJrUvJQnBXncPAr2CwK0wOJHRBFaleTZpThbC8QVE
 OkMm3NeY7gz8VvrFgJBE6hkB2XKS0X0lt05Qyn15Ay1iI9HvxclioYXVBEYGaor+Y8
 miB6Y7zHHLtpYfPJWoQXLHfCAq9xxXxC6Dp9HgMA=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.146.9]) by mail.gmx.com (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N5VHM-1hl1iY18KA-016vz0; Thu, 28
 Nov 2019 13:10:04 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#38404: 27.0.50; deleting files with ~ on the end with tramp
 did not work
References: <20191127163909.GA7483@HIDDEN>
 <87fti8qkh4.fsf@HIDDEN> <20191128120812.GB1973@HIDDEN>
Date: Thu, 28 Nov 2019 13:10:03 +0100
In-Reply-To: <20191128120812.GB1973@HIDDEN> (Jean Louis's
 message of "Thu, 28 Nov 2019 13:08:12 +0100")
Message-ID: <87blswqk10.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:EMvIQ6E9kyYPqlH6Y3IDZsW8gX3VHz1ToSeC7z525fXMSPBQCn4
 iGZiA70Nc4n9CDaoDdC+DVDPtDAApBswOi4XgbrxEERiC7Eoq2jZSqkDPwh28pJodSUDYMN
 M4stYS+1PUTywDWTfkOo/0UPIiU85YMv9zMfg89McnAgA4vkfXMYbHiJ/NzT5n4CnDAd8O1
 yGILW3ZkmI6IPctJKP8bQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:3f2Fa1NmqKw=:HIRrvg/5hoNLrqZ1Y1nYiV
 agd0tCRH8+7xS1BQHLklMsRVGg7L8sTi7XRuXaKHI6UhowWgBZEHLPb/4cig+2dg/j/m8kjzk
 yWXk9lJgsfkgqsVO8sxhyTYJe7qFiiTFSiBUDExS3+YsbWYxIVCUxjuZOuEhzrbKLQopecbZP
 zP9syVPTcXZY8lmd9U4BQRShBPti5wxIVVEVpdQrodrak7Gp3iR/9ckfvNoEmkPfp8PDjyuMc
 ySTIjZYz+kFp1oqO0QQXUBxLEFbUNgzZD2VGFcPc1rAupEsaQlN374BikeQuUb2fWQQPnd0PY
 DuV0Ihq21KkxpNpyVCEJg0TAlovnhiZeRITKIsGbYnk+tB3E6MFJ6D7JR0bRYANL7kC72NvP1
 DvMGbTG3jB2UtvivTRhFW9KtoHktXoFVghGIxbW2X0/7wy5adz0CAa/SbpZq8fPRC3QDB1TKL
 nT1+u86g6iPERTBvGp7y+iKUkwVrqqAO/6YHrsDr2kkG45sEMT7NkOORTi+92ljjImknAtpVs
 AVOa3SzqmgebcyK3DhYpoopu9zErvXAiHpNKMPTn9HG9MgOQMe8cIwe/lQwAmQtyaszp96vGU
 IaPj6oRqRb0pHBBOXjkwVl26vj7V7tXsp0k60yrpxzhznd2uRiVe1FSdai2r7YM5AkYSYlU2G
 0IkGxvZfbml/c06LvZqd94Dr3b9TM8Z5g4Nc8ZTe314EGXyOb/zxWVtNYQXwwzs7JRGuH59fc
 Q4jKsrpD+JpT6o1OrQIH+9UWAqz1OlAOrSkDHzEd7QxiY8EUsSl4qXChTYlIhfFuh5U67BfmL
 nEfB2ju6i5FkAx80X+Y1Q6VJjLLCC/Ot43QvCaxAnVmTsBpMFDfq0xGcurg6zZpLEv5tFZQ/f
 FdrsXrvGf+xDUgYsCNsrkdpO8pRC1OvlC/dbnnCcvJT1axtwHRBW1X+MMeHlBZScDi2uP2RLg
 5aTrusGRF7abvRh/uiWn/5x8SJ/+RrXn8Z0cv1qiZFcqTEcBGrQLAYdKpLkEZ3wrlBMRdrjZs
 YMkZDuO50TD2EMwH7j8e4mDXjrXCFHg3Vopj9wBc7cKhWM4znf0thlqSuwi+waWMsKRRZ77pr
 2pJ8S55XFAVMNxPEuNvDtLweDoDA79wjMsNpBSnP7tPRFplc0vMBd561NxZ8huuvjlQlgKu/h
 v/biwY6bcfdt3XK/j2EAu+E1PPbafuGDVpSR4olEJeh3BCEJMmHxf/kawL+XvDRCkfkTWYVDY
 kY38TQ3cuVFi+++FaKwPQ6plxEh40vH+oRsDyyDc8ZYIdiyQyxPD4oFJTvZk=
X-Spam-Score: 0.0 (/)
X-Debbugs-Envelope-To: 38404
Cc: 38404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Jean Louis <bugs@HIDDEN> writes:

> I did it with ssh as root /ssh:root@HIDDEN:/etc/some/file~
>
> and I could not delete few files, even though permissions were 644

This doesn't tell me anything, sorry. Pls show the debug buffer.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.

Message received at 38404 <at> debbugs.gnu.org:


Received: (at 38404) by debbugs.gnu.org; 28 Nov 2019 12:01:07 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 28 07:01:07 2019
Received: from localhost ([127.0.0.1]:56778 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1iaITr-0005Il-0s
	for submit <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:01:07 -0500
Received: from mout.gmx.net ([212.227.17.22]:60307)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <michael.albinus@HIDDEN>) id 1iaITm-0005I7-10
 for 38404 <at> debbugs.gnu.org; Thu, 28 Nov 2019 07:01:05 -0500
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1574942424;
 bh=8Qk4aKhlK5irk2EP+j0LRNtdAHKCjFaCRVsdHOu9VwU=;
 h=X-UI-Sender-Class:From:To:Cc:Subject:References:Date:In-Reply-To;
 b=e7Kpq4ouqdzaKLACENp8IvyMVXqk88p2CRse+BoqH45joUvb0k/ZArUCz0IqFl/TT
 w5Nq2F0fOr6ngza4KqtSfI72dRHyDNDjpjOq4XwRMseZ6Mea3/VogOcNtVCpzZBqZi
 YmoiE3pOd7pXHcxBcbupM3YjR6iNBSrzA/lJZR0Q=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from detlef.gmx.de ([213.220.146.9]) by mail.gmx.com (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1N5GE1-1hqolZ38OD-011Bjy; Thu, 28
 Nov 2019 13:00:24 +0100
From: Michael Albinus <michael.albinus@HIDDEN>
To: Jean Louis <bugs@HIDDEN>
Subject: Re: bug#38404: 27.0.50; deleting files with ~ on the end with tramp
 did not work
References: <20191127163909.GA7483@HIDDEN>
Date: Thu, 28 Nov 2019 13:00:23 +0100
In-Reply-To: <20191127163909.GA7483@HIDDEN> (Jean Louis's
 message of "Wed, 27 Nov 2019 17:39:09 +0100")
Message-ID: <87fti8qkh4.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.0.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Provags-ID: V03:K1:j7YRxe0FZQwKadI0G90dkzPq6K2JSpshI2rFysPMkZ+uGCHtsEk
 nV+AlOEcW+MjZnT+ADFYVQP7wHjPWf53v7g3aTc9aNfwYfljQEETMkM+1bQ14NuD8UzecxW
 k5qJSs/frer5knMB/pI0ckx1GRyMpX6mDBj/egFi0z/iG2GytCXUZHcTRSqY6vjTD7ei1IS
 CWxnBDbhixn+Czv0OLNkQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wxUkmKr6GfA=:ZE4RNzlJMOz9RyRIXnn9XB
 wHDVgaEmVV9+s/JeiPkDurqu0cvn6f8pnqejSjyjcHzZi0KeqHWbGSOzVy5U9g4Y9P5Q5cxKU
 ILDWPy6ZsqB4NDzYjmiHlqBVgXPXWpYbbiQ/YuHopCPXi5yXuonFPq7YiWiBY+tzZrdEdEZxB
 8iJry2hRT8dQE0PSUSGTOCkRg8iS2yFVR9SbpITDWmPYP507fZTwjZZe00P2FMrffDd7ybIcY
 8g7wC+hq9oYs/yFfZJC2i8GSrk3t4JRUektUFWQhAGzZZz+DDgADk1JB9sKeUDuy0ZZBQFF0Y
 d+HoIbrIlaKzbe536PX0Y+xO7fQOY5BO9jg0ysu33GdKOcWz1KxcCRFtjlQe1xpyvVfYlIJLs
 /+KNWoIWeDCwG5dm5a5C8s3KIMGJOnIqyJ4XBxTko4sGldXuJRO22Mjkf/eq5hVvDMwZ4i12m
 E7XvNIx6OX0EvfkEvKqQa8pQSNqw0N9HO3UhZgjuMsFdwsbNa0FWikTf7Oj9Bl55SVc9816FR
 RwLjg9F/T0qS0zA46ybF4sSmzmLoo5b5Z1P50EzqIuDr9zEEMDhBdub67IVCvYIliPjRSTWsZ
 eHpcS+wXnohBpz26Pz70EsVWdSBx/2wYvvlCShXSkqok6P47zAQgogol+5duMyxPgghUtNw4z
 oyaTsbMiqs30zhbaST+oSMvyi1DsPLqWLhJjCow9Ae4AVe6C1d+MLA8KjujIIvN5C/Y0pIMl8
 A6+TQGThsUcLU8jibXSj+MppkJ1UAUA405EuQEKfZ/ux/mPTKIuh0sbYEGc0VqukRBduK8Cr9
 WUj+INzhmCosX/ev2CckFNXYw4klcDSGfu75qk8mL2D2BjCRJgv3BeWQ0hCOZgK2AJmTQscza
 dL5y/NhShm/IakFA2OT7yS6K3J6Qi7nZh/w9sXSFQcfxf00uIRXEzUvYls6F6svo+xE7H+NUV
 dFAhfeRxl6/6gt+tw9gQHQZcbLUEGCkozwtF5r5uUnJA1lKRP1vlJWVdC9r5BtwC9WCIJpcKK
 LyvmRF0pVkde2bEukxlpMmMLtUBcU7YgSizMCdyUHl1hTR6HFKEOyJb6BjfUa0KUUBre2yB4Q
 3ML/t1IWg+XOEWtcmGG32IoVqHPz/BxG49+mJfBV8iP7aQitgxao5Goax0yimB3zB6OkhRxiP
 A29CuHvpPa2cMWglDMhDWU5ZbVntQUXERI2mPA3L+1+joc9rPmpRExHrzu8uEg5M+m6RIMPJp
 Yus2pMxYttuhWI/gaqHxjpWaaRz95+cbSugNXQlVzA2YGSrhiqNZfEAU8iAY=
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 38404
Cc: 38404 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Jean Louis <bugs@HIDDEN> writes:

Hi,

> Deleting file /etc/courier/aliases/20191810~ did not work inside of
> Tramp, there was "permission denied". But other files could be
> deleted. I was root at the time and I could delete any file. When I
> entered with ssh to system as root I could delete the file. With Tramp
> it did not work.

I cannot repoduce it:

--8<---------------cut here---------------start------------->8---
# sudo touch /etc/touch~
# sudo ls -l /etc/touch~
-rw-r--r-- 1 root root 0 Nov 28 12:54 /etc/touch~
# emacs -Q --batch --eval '(delete-file "/ssh:|sudo::/etc/touch~")'
Password for /sudo:root@host: ********
# sudo ls -l /etc/touch~
ls: cannot access '/etc/touch~': No such file or directory
--8<---------------cut here---------------end--------------->8---

Does the problem also happen for you if you start "emacs -Q"? If yes,
could you pls reproduce it step by step, and show those steps? Pls set
also tramp-verbose to 6, andd show the resulting Tramp debug buffer.

Best regards, Michael.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 27 Nov 2019 17:32:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 27 12:32:16 2019
Received: from localhost ([127.0.0.1]:56172 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1ia1Am-0001Vt-Ao
	for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 12:32:16 -0500
Received: from lists.gnu.org ([209.51.188.17]:37214)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bugs@HIDDEN>) id 1ia0LV-0000H0-Bo
 for submit <at> debbugs.gnu.org; Wed, 27 Nov 2019 11:39:17 -0500
Received: from eggs.gnu.org ([2001:470:142:3::10]:60581)
 by lists.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <bugs@HIDDEN>) id 1ia0LT-0002uS-BP
 for bug-gnu-emacs@HIDDEN; Wed, 27 Nov 2019 11:39:16 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=0.8 required=5.0 tests=BAYES_50,URIBL_BLOCKED
 autolearn=disabled version=3.3.2
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
 (envelope-from <bugs@HIDDEN>) id 1ia0LR-0006t4-SU
 for bug-gnu-emacs@HIDDEN; Wed, 27 Nov 2019 11:39:15 -0500
Received: from stw1.rcdrun.com ([217.170.207.13]:54861)
 by eggs.gnu.org with esmtps (TLS1.0:RSA_AES_256_CBC_SHA1:32)
 (Exim 4.71) (envelope-from <bugs@HIDDEN>) id 1ia0LR-0006ry-Km
 for bug-gnu-emacs@HIDDEN; Wed, 27 Nov 2019 11:39:13 -0500
Received: from protected.rcdrun.com ([::ffff:90.137.137.44])
 (AUTH: PLAIN admin, TLS: TLS1.2,256bits,ECDHE_RSA_AES_256_CBC_SHA1)
 by stw1.rcdrun.com with UTF8ESMTPSA
 id 0000000000097C58.000000005DDEA6AF.00001146; Wed, 27 Nov 2019 09:39:11 -0700
Received: from localhost (localhost [127.0.0.1]) (uid 1001)
 by protected.rcdrun.com with local
 id 00000000000CC57F.000000005DDEA6AD.00001D48; Wed, 27 Nov 2019 17:39:09 +0100
Date: Wed, 27 Nov 2019 17:39:09 +0100
From: Jean Louis <bugs@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: 27.0.50; deleting files with ~ on the end with tramp did not work
Message-ID: <20191127163909.GA7483@HIDDEN>
Mime-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
User-Agent: Mutt/1.10.1 (2018-07-13)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.2.x-3.x [generic]
 [fuzzy]
X-Received-From: 217.170.207.13
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Wed, 27 Nov 2019 12:32:15 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)



Deleting file /etc/courier/aliases/20191810~ did not work inside of
Tramp, there was "permission denied". But other files could be
deleted. I was root at the time and I could delete any file. When I
entered with ssh to system as root I could delete the file. With Tramp
it did not work.


In GNU Emacs 27.0.50 (build 6, x86_64-pc-linux-gnu, X toolkit, Xaw3d scroll bars)
 of 2019-10-08 built on protected.rcdrun.com
Repository revision: 32a67a5cfbfb92a9f76a5caf1c4b84beffcb1d9e
Repository branch: master
Windowing system distributor 'The X.Org Foundation', version 11.0.11907000
System Description: Hyperbola GNU/Linux-libre

Recent messages:
For information about GNU Emacs and the GNU system, type C-h C-a.

Configured using:
 'configure --prefix=/package/text/emacs-2019-10-08 --with-modules
 --without-gpm --with-x-toolkit=lucid
 PKG_CONFIG_PATH=/home/data1/protected/GNUstep/Library/Libraries/pkgconfig:/usr/lib/pkgconfig'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY
INOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT ZLIB
TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_ALL: de_DE.UTF-8
  value of $LANG: de_DE.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  global-eldoc-mode: t
  eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort hashcash mail-extr emacsbug message rmc puny dired
dired-loaddefs format-spec rfc822 mml easymenu mml-sec password-cache
epa derived epg epg-config gnus-util rmail rmail-loaddefs
text-property-search time-date subr-x seq byte-opt gv bytecomp
byte-compile cconv mm-decode mm-bodies mm-encode mail-parse rfc2231
mailabbrev gmm-utils mailheader cl-loaddefs cl-lib sendmail rfc2047
rfc2045 ietf-drums mm-util mail-prsvr mail-utils tooltip eldoc electric
uniquify ediff-hook vc-hooks lisp-float-type mwheel term/x-win x-win
term/common-win x-dnd tool-bar dnd fontset image regexp-opt fringe
tabulated-list replace newcomment text-mode elisp-mode lisp-mode
prog-mode register page tab-bar menu-bar rfn-eshadow isearch timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
term/tty-colors frame cl-generic cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese eucjp-ms cp51932
hebrew greek romanian slovak czech european ethiopic indian cyrillic
chinese composite charscript charprop case-table epa-hook jka-cmpr-hook
help simple abbrev obarray minibuffer cl-preloaded nadvice loaddefs
button faces cus-face macroexp files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget hashtable-print-readable
backquote threads dbusbind inotify lcms2 dynamic-setting
system-font-setting font-render-setting x-toolkit x multi-tty
make-network-process emacs)

Memory information:
((conses 16 46090 5168)
 (symbols 48 6085 1)
 (strings 32 16350 1289)
 (string-bytes 1 523934)
 (vectors 16 9982)
 (vector-slots 8 129955 6542)
 (floats 8 24 22)
 (intervals 56 245 0)
 (buffers 1000 12))

-- 
Thanks,
Jean Louis




Acknowledgement sent to Jean Louis <bugs@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#38404; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 28 Nov 2019 20:30:03 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.